%global framework kdeclarative

%global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

Summary: KDE Frameworks 5 Tier 3 addon for Qt declarative
Name:    kf5-%{framework}
Version: 5.110.0
Release: 1%{?dist}

License: LGPLv2+
URL:     https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

%global __provides_exclude_from ^%{_kf5_qmldir}/.*\\.so$

BuildRequires:  make, extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kconfig-devel >= %{majmin}, kf5-kglobalaccel-devel >= %{majmin}, kf5-kguiaddons-devel >= %{majmin}
BuildRequires:  kf5-ki18n-devel >= %{majmin}, kf5-kiconthemes-devel >= %{majmin}, kf5-kio-devel >= %{majmin}
BuildRequires:  kf5-knotifications-devel >= %{majmin}, kf5-kpackage-devel >= %{majmin}, kf5-kwidgetsaddons-devel >= %{majmin}
BuildRequires:  kf5-kwindowsystem-devel >= %{majmin}, kf5-rpm-macros
BuildRequires:  libepoxy-devel
BuildRequires:  qt5-qtbase-devel, qt5-qtbase-private-devel, qt5-qtdeclarative-devel


%if 0%{?tests}
BuildRequires: dbus-x11, mesa-dri-drivers, time, xorg-x11-server-Xvfb
%endif

%description
KDE Frameworks 5 Tier 3 addon for Qt declarative

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       kf5-kconfig-devel >= %{majmin}
Requires:       kf5-kpackage-devel >= %{majmin}
Requires:       qt5-qtdeclarative-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{framework}-%{version}


%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name


%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
time \
make test ARGS="--output-on-failure --timeout 10 --verbose" -C %{_target_platform} ||:
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_bindir}/kpackagelauncherqml
%{_kf5_libdir}/libKF5Declarative.so.*
%{_kf5_libdir}/libKF5QuickAddons.so.*
%{_kf5_libdir}/libKF5CalendarEvents.so.*
%dir %{_kf5_qmldir}/org/
%dir %{_kf5_qmldir}/org/kde/
%{_kf5_qmldir}/org/kde/draganddrop/
%{_kf5_qmldir}/org/kde/graphicaleffects/
%{_kf5_qmldir}/org/kde/kconfig/
%{_kf5_qmldir}/org/kde/kcoreaddons/
%{_kf5_qmldir}/org/kde/kquickcontrols/
%{_kf5_qmldir}/org/kde/kquickcontrolsaddons/
%dir %{_kf5_qmldir}/org/kde/private/
%{_kf5_qmldir}/org/kde/private/kquickcontrols/
%{_kf5_qmldir}/org/kde/kio/
%{_kf5_qmldir}/org/kde/kwindowsystem/
%{_kf5_qmldir}/org/kde/kcm/

%files devel

%{_kf5_includedir}/KDeclarative/
%{_kf5_libdir}/libKF5Declarative.so
%{_kf5_libdir}/libKF5QuickAddons.so
%{_kf5_libdir}/libKF5CalendarEvents.so
%{_kf5_libdir}/cmake/KF5Declarative/
%{_kf5_archdatadir}/mkspecs/modules/qt_KDeclarative.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_QuickAddons.pri


%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
